British Columbia Rugby Union
UnionnameBritish Columbia Rugby Union
Founded1889 (age 137)
RegionRugby Canada
PresidentSamantha Shorter [1]

The British Columbia Rugby Union (BCRU) is the provincial administrative body for rugby union in British Columbia, Canada. The BCRU consists of nine sub-unions and 65 clubs. It was originally organized in New Westminster in 1889 where Alfred St. George Hamersley, the former England rugby union captain and recent immigrant to Vancouver, and member of Vancouver Football (Rugby) Club, became the first President.[2] The same man is credited with founding the Amateur Athletic Club of British Columbia.[3] and previously had introduced the game of rugby to the youth of South Canterbury, New Zealand.[4] The current headquarters is on the west side of Vancouver.

British Columbia is considered a hotspot for rugby in Canada, as its mild weather allows the sport to be played year-round.

The BCRU is responsible for organizing the British Columbia Premier League, the provincial men's club championship, and the Ruth Hellerud-Brown Senior Women's Premier Competition. It also oversees provincial representative teams which compete for national championships organized by Rugby Canada.

The BCRU also has a British Columbia Rugby Hall of Fame.

The BC Premier League

The BC Premier League is the highest level of amateur rugby in British Columbia. Many current and former Canadian internationals have participated in the league as well as a number of high-level foreign born players. The champions of the league's playoff system are awarded the Rounsefell Cup.

Participating Clubs (2025–26)

The BC Premier League is open to a maximum of 12 teams and features the following clubs from Vancouver Island and the Lower Mainland.[5] Prior to the 2024-25 season, 12 teams competed, but Seattle left the Premier League for an American domestic competition and the Vancouver Rowing Club was demoted to the First Division. The Pacific Pride is a developmental team for the Canadian National Team and does not play as many games as the rest of the league. The 2026 champions are the UBC Old Boys Ravens, who beat UVic 30-3 to claim their 10th Cup.

TeamGroundCity/AreaFounded
Burnaby LakeBurnaby Lake Sports ComplexBurnaby1994
CapilanoKlahanie ParkNorth Shore1969
Castaway WanderersWindsor ParkOak Bay1906
James BayMacDonald ParkVictoria1886
MeralomasConnaught ParkKitsilano1923
Pacific PrideStarlight StadiumLangford, British Columbia2019
RavensJericho ParkPoint Grey1974
UBC ThunderbirdsWolfson FieldUniversity of British Columbia1906
UVIC VikesWallace FieldUniversity of Victoria1963
Westshore ValhalliansJuan de FucaLangford1969

Province Wide First Division

Participating Clubs (2025-26)

The Province Wide First Division includes 18 teams from Vancouver Island, the Lower Mainland and the Fraser Valley, 10 of which are reserve sides for the Premier League. The Vancouver Rowing Club won the 2026 championship, beating Capilano 29-20.

TeamGroundCity/AreaFounded
AbbotsfordCFV Exhibition ParkAbbotsford1972
Vancouver Rowing ClubBrockton OvalVancouver1908
Bayside SharksSouth Surrey Athletic ParkWhite Rock1987
AxemenBrennan ParkSea to Sky2014
Cowichan PiggiesHerd RoadDuncan1962
LangleyCrush CresentLangley1969
Nanaimo HornetsPioneer ParkNanaimo1888
Port Alberni Black SheepPort Alberni Rugby ParkPort Alberni1979

Province Wide Second Division

Participating Clubs (2025–26)

The Province Wide Second Division includes 10 teams, with 1 reserve side (Meralomas) as well as the following clubs from the Lower Mainland, the Thompson-Okanagan region and the Fraser Valley. Kelowna and Kamloops faced each other in the 2026 championship, with the Crows emerging 21-15 winners.

TeamGroundCity/AreaFounded
Brit-LionsJohn Oliver ParkDelta1928
Kamloops RaidersExhibition ParkKamloops1968
Kelowna CrowsParkinson Recreation CentreKelowna1969
LangleyCrush CrescentLangley1969
UnitedHume ParkTri-Cities2005
Chilliwack CrusadersYarrow FieldChilliwack1978
Surrey BeaversSullivan HeightsSurrey1972
RichmondKing George ParkRichmond1957
KatsBalaclava ParkKitsilano1953
Ridge Meadows BruinsThomas Haney FieldMaple Ridge1960

Province Wide Third Division

Participating Clubs (2025–26)

The Province Wide Third Division is split into 5 conferences, the Mainland League, the Island League, the Okanagan League, the Kootenay League and the Interior League. The Mainland and Island leagues compete during the fall, winter and spring while the Okanagan, Kootenay and Interior leagues compete during the spring and summer. The champions of the league's 5 conferences play for the Saratoga Cup each Fall.

Mainland League

This league includes 11 teams, 9 of which are reserve sides, as well as the following clubs from the Lower Mainland. Burnaby Lake won the 2026 Mainland Third Division title.

TeamGroundCity/AreaFounded
Simon Fraser RCSimon Fraser UniversitySimon Fraser University1965
ScribesJohn Hendry ParkEast Vancouver1967

Women's Leagues

The BC Rugby Union also runs a tiered league system for women's teams. There are three tiers, the Women's Premier League, Women's Division One and Women's Division Two Tier 1. The makeup of the teams in each tier is similar to the men, save for a few changes. The lists only include non-reserve teams.[6]

Women's Premier League (25-26)

Women's Division One (25-26)

Women's Division Two Tier 1 (25-26)

  • Chilliwack Crusaders
  • Simon Fraser RC
  • Kelowna Crows (2026 champions)
  • Vancouver Rowing Club
  • Ridge Meadows Bruins
  • Langley
  • Richmond
  • Scribes

Rounsefell Cup

Since 1922, the Rounsefell Cup has been awarded to the Men's Premier League champions. Since 2015, the cup has only been won by two clubs, the UBC Thunderbirds and UBC Old Boys Ravens. James Bay has won the most titles by far, with Meralomas coming in 2nd with 13. Of the current Premier League teams, Westshore, Burnaby Lake and the Pacific Pride have not won the Rounsefell Cup.[7]

ClubTitlesMost Recent
James Bay AA242014
Meraloma Club132009
Kats Rugby Club121970
UBCOB Ravens102026
UBC Thunderbirds92023
North Shore All-Blacks61955
Castaway Wanderers42011
King George41931
Capilano RFC32012
UVic Vikes32010
Vancouver Rowing Club31995
Vindex RFC31953
Cowichan RFC21998
Brit-Lions21984
Oak Bay Wanderers21962
South Burnaby11949
Army Victoria11944
Royal Canadian Naval College11943
Lord Byng11942
The 5th Regiment11936
The Canadian Scottish Regiment11931
Central Athletic Club11922

See also

References

  1. ^ About BC Rugby
  2. ^ Touchlines - The Magazine of the Rugby Memorabilia Society, Issue 43, April 2009 Archived 2013-07-26 at the Wayback Machine
  3. ^ Debrett's House of Commons Volume: 1918, publisher: London Dean
  4. ^ The Sydney Morning Herald. - Feb 27, 1929
  5. ^ "League – BC Rugby". Retrieved 2026-03-09.
  6. ^ "League – BC Rugby". Retrieved 2026-03-09.
  7. ^ "Rounsefell Cup on the line as Thunderbirds square off against Ravens". University of British Columbia Athletics. 2025-05-01. Retrieved 2026-03-16.